%% LFP spectrum - single channel, default parameters

display('To compute the LFP spectrum for one trial, press return');
pause
%
% Compute the spectrum for the delay period data for the 6th trial
%
ch=6;% trial number
delay_samples=1001:2000; % delay period sample numbers
data=dlfp1t(delay_samples,ch); % data in delay period
[S,f]=mtspectrumc(data);
%
% Plot the spectrum
%
figure;
plot_vector(S,f,[],[],'y');
set(gca,'FontName','Times New Roman','Fontsize', 16);
xlabel('frequency /samples'); ylabel('Spectrum dB');
title('LFP spectrum for 1 trial using default parameters');
position_figure